#
# spec file for package perl-String-CamelCase
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-String-CamelCase
Version:        0.04
Release:        1.30
%define cpan_name String-CamelCase
Summary:        Camelcase, de-Camelcase
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/String-CamelCase/
Source0:        https://cpan.metacpan.org/authors/id/H/HI/HIO/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
camelcase, de-camelcase

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sun Mar 25 2018 coolo@suse.com
- updated to 0.04
  see /usr/share/doc/packages/perl-String-CamelCase/Changes
  0.04    Sat Mar 24 22:22:51 JST 2018
    Fix metafile generation.
    Thanks to ilmari (RT#123030).
* Tue Sep 12 2017 coolo@suse.com
- updated to 0.03
  see /usr/share/doc/packages/perl-String-CamelCase/Changes
  0.03    Mon Sep 11 23:38:29 JST 2017
    push @INC "." at Makefile.PL
    Thanks to xsawyerx.
* Wed Dec  3 2014 coolo@suse.com
- redo packaging
* Thu Apr 21 2011 coolo@opensuse.org
- initial package 0.02
  * created by cpanspec 1.78.04
